local addonName, addon = ...
local childName = addon['childName']
local child = addon[childName]
local events = child['events']
local db
LibStub("zzHelper"):Embed(child)
local function prepareDB()
	db = addon['db']['profile'][childName]
	child['db'] = db
	addon['callbacks']:Fire(format("Init%s", childName))
	child:PrefChanged()
end
child['specs']  = {
	['name'] = childName,
	['sv'] = true,
	['cfg'] = true,
	['cfgReset'] = prepareDB,
	['ldb'] = child['ldb'],
	['defaults'] = {
		['profile'] = {
			[childName] = {
				['digits'] = 1,
			}
		}
	}
}
function events:PLAYER_AVG_ITEM_LEVEL_UPDATE()
	local avgItemLevel, avgItemLevelEquipped, avgItemLevelPvp = GetAverageItemLevel()
	child:OnText(childName, format(child['frm_digits'], avgItemLevelEquipped))
end
function events:PLAYER_ENTERING_WORLD(_, event)
	child:UnregisterEvent(event)
	events.PLAYER_AVG_ITEM_LEVEL_UPDATE()
end
child:NewAddOn(...)